Bug 133670 - FILEOPEN DOCX Text box horizontal size grows with relative width to right margin
Summary: FILEOPEN DOCX Text box horizontal size grows with relative width to right margin
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2020-06-04 11:13 UTC by NISZ LibreOffice Team
Modified: 2020-06-26 10:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Word (20.25 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-06-04 11:13 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (76.61 KB, image/png)
2020-06-04 11:13 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-06-04 11:13:31 UTC
Created attachment 161603 [details]
Example file from Word

Attached document contains a Word preset “Page number in right margin” shape that was inserted into the header. The shape has its width defined as Relative to Right margin, 80%. This is the right side pair of the document in bug #132976.

When opened in Writer the shape has a huge width, about 17 cm instead of 2.

Steps to reproduce:
    1. Open attached document

Actual results:
Shape has huge width.

Expected results:
Shape should have 2cm width, or 80% of the 2.5 cm right margin.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 68095e63a8ad8f6079b15e475179a14a64da36d3
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-06-04 11:13:48 UTC
Created attachment 161604 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 Durgapriyanka 2020-06-04 21:15:02 UTC
Thank you for reporting the bug. I can confirm the bug present in

Version: 6.4.0.0.alpha1+ (x86)
Build ID: ec7374ff84c71edfbb30d6e4dc5b486b6df7107f
CPU threads: 2; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-11-10_21:37:30
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 3 Commit Notification 2020-06-24 09:37:35 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/330ed8120e9881656716d70d87b9f49f861f0bfa

tdf#133670 DOCX import: fix shape width relative to right margin

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-06-26 10:56:39 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/718683ab1582849ea43797e404c6453ce2fbd424

tdf#133670 DOCX import: fix shape width relative to right margin

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.